Ecore_Avahi - Avahi main loop integration function.
Ecore

## Typedefs

typedef struct _Ecore_Avahi | Ecore_Avahi
| A handle for an Avahi instance.

## Functions

EAPI Ecore_Avahi * | ecore_avahi_add (void)
| Creates an AvahiPoll context and integrate it within Ecore main loop.
EAPI void | ecore_avahi_del (Ecore_Avahi *handler)
| Deletes the specified handler of an AvahiPoll.
EAPI const void * | ecore_avahi_poll_get (Ecore_Avahi *handler)
| Gets the AvahiPoll structure to integrate with Ecore main loop.

## Detailed Description

## Typedef Documentation

## Ecore_Avahi

typedef struct _Ecore_Avahi Ecore_Avahi

A handle for an Avahi instance.

Since
  1.9

## Function Documentation

## ecore_avahi_add()

EAPI Ecore_Avahi * ecore_avahi_add | ( | void |  | ) |

Creates an AvahiPoll context and integrate it within Ecore main loop.

Returns
  A handler that reference the AvahiPoll context

Since
  1.9

## ecore_avahi_del()

EAPI void ecore_avahi_del | ( | Ecore_Avahi * | handler | ) |

Deletes the specified handler of an AvahiPoll.

Parameters

  handler | The actual handler to destroy.

Since
  1.9

Be aware there should not be any reference still using that handler before destroying it.

References ecore_main_fd_handler_del(), ecore_timer_del(), and EINA_LIST_FREE.

## ecore_avahi_poll_get()

EAPI const void * ecore_avahi_poll_get | ( | Ecore_Avahi * | handler | ) |

Gets the AvahiPoll structure to integrate with Ecore main loop.

Parameters

  handler | The handler to get the AvahiPoll structure from.

Returns
  return the actual AvahiPoll structure to use with Avahi.

Since
  1.9